> ## Documentation Index
> Fetch the complete documentation index at: https://fermata-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Automatic Refill Parameters for Account

> In the case of changing monthly refill parameters, these will take effect on the next renewal if you use this endpoint. For mid-month renewals see other endpoint



## OpenAPI

````yaml PUT /v1/accounts/{account_id}/balance/{denomination}/autorefill
openapi: 3.1.0
info:
  version: '0.1'
  title: Fermata API
  summary: >-
    Fermata is a billing engine that supports prepaid balances and real-time
    usage computation
  description: ''
servers:
  - url: https://api.gofermata.com
security:
  - apiKey: []
paths:
  /v1/accounts/{account_id}/balance/{denomination}/autorefill:
    put:
      summary: Modify Automatic Refill Parameters for Account
      description: >-
        In the case of changing monthly refill parameters, these will take
        effect on the next renewal if you use this endpoint. For mid-month
        renewals see other endpoint
      operationId: put-accounts-account_id-auto_refill
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: denomination
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                denomination:
                  type: string
                threshold:
                  type: integer
                amount:
                  type: integer
                usd_charge:
                  type: integer
                refill_monthly:
                  type: boolean
      responses:
        '200':
          description: OK
      security:
        - apiKey: []
      servers:
        - url: https://api.gofermata.com
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: basic

````